# MatMPIAdjSetPreallocation

Sets the array used for storing the matrix elements

### Synopsis

    PetscErrorCode PETSCMAT_DLLEXPORT MatMPIAdjSetPreallocation(Mat B,PetscInt *i,PetscInt *j,PetscInt *values)

Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| i | - the indices into j for the start of each row
| j | - the column indices for each row (sorted for each row). The indices in i and j start with zero (NOT with one).
| values | - [optional] edge weights

### See Also

MatCreate(), MatCreateMPIAdj(), MatSetValues()

Level:intermediate
Location: src/mat/impls/adj/mpi/mpiadj.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages